Bug 96948 - Application background doesn't update
Summary: Application background doesn't update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Takeshi Abe
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-01-07 17:40 UTC by Katarina Behrens (Inactive)
Modified: 2016-10-31 09:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (Inactive) 2016-01-07 17:40:35 UTC
* New or existing Impress document
* Tools > Options > Application colours > Application background
* Pick your favourite colour
* OK to Save 

=> Nothing happens. The area behind Impress slide or Draw page (grey in default configuration) should now have the selected colour, but it doesn't. One has to restart Impress to actually see the change.

I'm 100% sure this used to work w/o app restart in 5.0 => regression. 
+ it works in Writer ( as usually :| )
Comment 1 MM 2016-01-07 19:14:48 UTC
It works with v5.1.0.1 under ubuntu 14.04 x64.
Comment 2 Katarina Behrens (Inactive) 2016-01-07 20:40:00 UTC
Sry, didn't enter the right version
Comment 3 Buovjaga 2016-01-18 17:58:14 UTC
Repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 000df1832b54ba8f48c7f1c4c1cd92b70f6402da
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-18_01:08:28
Locale: fi-FI (fi_FI)
Comment 4 raal 2016-01-21 07:20:16 UTC
This seems to have begun at the below commit.

3661beb825a44983b9380c7ff688bd38cc58e5ad is the first bad commit
commit 3661beb825a44983b9380c7ff688bd38cc58e5ad
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Tue Jul 21 20:10:59 2015 -0700

    source sha:1c481fe6522f4c7d883e77a4ac32f855b9bcb323

    source sha:1c481fe6522f4c7d883e77a4ac32f855b9bcb323

:040000 040000 53042d72617e6aa7d58de6e6d1c5d64763459316 b3cf12aca9adb1e53ee51a787421844e21660651 M      instdir

author	Katarina Behrens <Katarina.Behrens@cib.de>	2015-06-25 07:47:37 (GMT)
committer	Katarina Behrens <Katarina.Behrens@cib.de>	2015-06-26 09:56:15 (GMT)
commit	1c481fe6522f4c7d883e77a4ac32f855b9bcb323 (patch)
tdf#87905: Use darker background colour for master view

/bibisect-win32-5.1latest
$ git bisect log
# bad: [91e9e2012e13c47548965e3b0626eb9ca9ba68d1] source sha:ff2bdd52f54db24f867957a3293fae08e6a431a3
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'c1efd324c6ad448ac9edb030dc9738b9e6899e4d'
# bad: [99ec4939f7e2ca3f43b4c7c5b077abfbe676d128] source sha:a01a0785e61d230cc8e2fb15cc1936f1fd29458a
git bisect bad 99ec4939f7e2ca3f43b4c7c5b077abfbe676d128
# bad: [097c0df425db205a1549d3102eb0e219ed2be6eb] source sha:4d0e9102d890ce0085986ca3946aeb8d99769b4a
git bisect bad 097c0df425db205a1549d3102eb0e219ed2be6eb
# good: [295cf5c3b1d518448568eaefa74e3e50fff8b238] source sha:fd29a623e7c7b4d859c55f1f04463b5705ad47bf
git bisect good 295cf5c3b1d518448568eaefa74e3e50fff8b238
# good: [ef3f297d418dc76f42d03379c0871c5ffdd0a6f8] source sha:0c33e10b594aa07c4e9adadae59e5c03a4fdc29c
git bisect good ef3f297d418dc76f42d03379c0871c5ffdd0a6f8
# bad: [fb136c3e7b407e6a16a9470862aa11d17ba8a24e] source sha:8c30d8bbb8a0b3682160252ee065befabf613a7b
git bisect bad fb136c3e7b407e6a16a9470862aa11d17ba8a24e
# bad: [55b8c7cb68981258f1decdd8697baca11f24b9fd] source sha:e159201777cbae736c7890ca3c0f5a98614e9161
git bisect bad 55b8c7cb68981258f1decdd8697baca11f24b9fd
# bad: [b03039284b9f36a72d14e095dea67d576264b274] source sha:c1e12b15e55a82f062960f40921e0c97afda2078
git bisect bad b03039284b9f36a72d14e095dea67d576264b274
# bad: [67ed2c3a55d0c717aec4ebf61a705326cf2a86ae] source sha:6aa627c662fd83b64b48d4e7647d768915d1f746
git bisect bad 67ed2c3a55d0c717aec4ebf61a705326cf2a86ae
# good: [542378626b94e5b1b236a8c86751ce23b6d1788f] source sha:682e35944391f7f467636ee273290ee894c0f2a0
git bisect good 542378626b94e5b1b236a8c86751ce23b6d1788f
# bad: [2ba2e52250ae61a203a4a2d2a4514336819328d0] source sha:05e50b570f602c17218bb6e82bcaac2fbdd943c1
git bisect bad 2ba2e52250ae61a203a4a2d2a4514336819328d0
# good: [cc9128ce4d6ae71d373798bb22af5ee6a42b9231] source sha:eab89b7f024a8c86decdcb3362c40c40a7df37df
git bisect good cc9128ce4d6ae71d373798bb22af5ee6a42b9231
# bad: [3661beb825a44983b9380c7ff688bd38cc58e5ad] source sha:1c481fe6522f4c7d883e77a4ac32f855b9bcb323
git bisect bad 3661beb825a44983b9380c7ff688bd38cc58e5ad
# good: [86000d4f245969e6ccaf5bfc97e17fbe197d0d5e] source sha:af8143bc40cf2cfbc12e77c9bb7de01b655f7b30
git bisect good 86000d4f245969e6ccaf5bfc97e17fbe197d0d5e
# first bad commit: [3661beb825a44983b9380c7ff688bd38cc58e5ad] source sha:1c481fe6522f4c7d883e77a4ac32f855b9bcb323
Comment 5 Xisco Faulí 2016-09-26 16:00:53 UTC
Adding Cc: to Katarina Behrens
Comment 6 Commit Notification 2016-10-26 09:22:14 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=406798f8aae3c0e305d6994fc82561a5002af0aa

tdf#96948 Change color of the area behind Impress slide immediately

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (Inactive) 2016-10-31 09:21:29 UTC
Fixed then